components:
  schemas:
    Bijlage:
      properties:
        categorie:
          nullable: true
          type: string
        documentText:
          nullable: true
          type: string
        extension:
          nullable: true
          type: string
        id:
          nullable: true
          type: string
        status:
          nullable: true
          type: string
        titel:
          nullable: true
          type: string
        type:
          nullable: true
          type: string
        url:
          format: url
          nullable: true
          type: string
      required:
      - titel
      title: Bijlage
      type: object
    Metadata:
      description: Metadata object for Woo object
      properties:
        besluitdatum:
          description: 'format: Y-m-d'
          nullable: true
          type: string
        verzoek:
          properties:
            besluit:
              properties:
                categorie:
                  nullable: true
                  type: string
                documentText:
                  nullable: true
                  type: string
                extension:
                  nullable: true
                  type: string
                id:
                  nullable: true
                  type: string
                status:
                  nullable: true
                  type: string
                titel:
                  nullable: true
                  type: string
                type:
                  nullable: true
                  type: string
                url:
                  format: url
                  nullable: true
                  type: string
              required:
              - titel
              title: Bijlage
              type: object
            informatieverzoek:
              properties:
                categorie:
                  nullable: true
                  type: string
                documentText:
                  nullable: true
                  type: string
                extension:
                  nullable: true
                  type: string
                id:
                  nullable: true
                  type: string
                status:
                  nullable: true
                  type: string
                titel:
                  nullable: true
                  type: string
                type:
                  nullable: true
                  type: string
                url:
                  format: url
                  nullable: true
                  type: string
              required:
              - titel
              title: Bijlage
              type: object
            inventarisatielijst:
              properties:
                categorie:
                  nullable: true
                  type: string
                documentText:
                  nullable: true
                  type: string
                extension:
                  nullable: true
                  type: string
                id:
                  nullable: true
                  type: string
                status:
                  nullable: true
                  type: string
                titel:
                  nullable: true
                  type: string
                type:
                  nullable: true
                  type: string
                url:
                  format: url
                  nullable: true
                  type: string
              required:
              - titel
              title: Bijlage
              type: object
            ontvangerInformatieverzoek:
              nullable: true
              type: string
            ontvangstdatum:
              description: 'format: Y-m-d'
              nullable: true
              type: string
            status:
              nullable: true
              type: string
            termijnoverschrijding:
              nullable: true
              type: string
          title: Verzoek
          type: object
        volgnummer:
          nullable: true
          type: string
      title: Metadata
      type: object
    Organisatie:
      properties:
        id:
          nullable: true
          type: string
        naam:
          nullable: true
          type: string
        oin:
          nullable: true
          type: string
        rsin:
          nullable: true
          type: string
        tooi:
          nullable: true
          type: string
        uuid:
          nullable: true
          type: string
      required:
      - naam
      title: Organisatie
      type: object
    Publicatie:
      properties:
        beschrijving:
          nullable: true
          type: string
        bijlagen:
          items:
            properties:
              categorie:
                nullable: true
                type: string
              documentText:
                nullable: true
                type: string
              extension:
                nullable: true
                type: string
              id:
                nullable: true
                type: string
              status:
                nullable: true
                type: string
              titel:
                nullable: true
                type: string
              type:
                nullable: true
                type: string
              url:
                format: url
                nullable: true
                type: string
            required:
            - titel
            title: Bijlage
            type: object
          type: array
        categorie:
          nullable: true
          type: string
        gepubliceerd:
          default: true
          type: boolean
        id:
          nullable: true
          type: string
        metadata:
          description: Metadata object for Woo object
          properties:
            besluitdatum:
              description: 'format: Y-m-d'
              nullable: true
              type: string
            verzoek:
              properties:
                besluit:
                  properties:
                    categorie:
                      nullable: true
                      type: string
                    documentText:
                      nullable: true
                      type: string
                    extension:
                      nullable: true
                      type: string
                    id:
                      nullable: true
                      type: string
                    status:
                      nullable: true
                      type: string
                    titel:
                      nullable: true
                      type: string
                    type:
                      nullable: true
                      type: string
                    url:
                      format: url
                      nullable: true
                      type: string
                  required:
                  - titel
                  title: Bijlage
                  type: object
                informatieverzoek:
                  properties:
                    categorie:
                      nullable: true
                      type: string
                    documentText:
                      nullable: true
                      type: string
                    extension:
                      nullable: true
                      type: string
                    id:
                      nullable: true
                      type: string
                    status:
                      nullable: true
                      type: string
                    titel:
                      nullable: true
                      type: string
                    type:
                      nullable: true
                      type: string
                    url:
                      format: url
                      nullable: true
                      type: string
                  required:
                  - titel
                  title: Bijlage
                  type: object
                inventarisatielijst:
                  properties:
                    categorie:
                      nullable: true
                      type: string
                    documentText:
                      nullable: true
                      type: string
                    extension:
                      nullable: true
                      type: string
                    id:
                      nullable: true
                      type: string
                    status:
                      nullable: true
                      type: string
                    titel:
                      nullable: true
                      type: string
                    type:
                      nullable: true
                      type: string
                    url:
                      format: url
                      nullable: true
                      type: string
                  required:
                  - titel
                  title: Bijlage
                  type: object
                ontvangerInformatieverzoek:
                  nullable: true
                  type: string
                ontvangstdatum:
                  description: 'format: Y-m-d'
                  nullable: true
                  type: string
                status:
                  nullable: true
                  type: string
                termijnoverschrijding:
                  nullable: true
                  type: string
              title: Verzoek
              type: object
            volgnummer:
              nullable: true
              type: string
          title: Metadata
          type: object
        organisatie:
          properties:
            id:
              nullable: true
              type: string
            naam:
              nullable: true
              type: string
            oin:
              nullable: true
              type: string
            rsin:
              nullable: true
              type: string
            tooi:
              nullable: true
              type: string
            uuid:
              nullable: true
              type: string
          required:
          - naam
          title: Organisatie
          type: object
        portalUrl:
          format: url
          nullable: true
          type: string
        publicatiedatum:
          description: Publicatiedatum van een Woo object is nooit in de toekomst.
          nullable: true
          type: string
        samenvatting:
          nullable: true
          type: string
        themas:
          items:
            properties:
              aanvullendThema:
                nullable: true
                type: string
              hoofdthema:
                nullable: true
                type: string
              subthema:
                nullable: true
                type: string
            required:
            - hoofdthema
            title: Thema
            type: object
          nullable: true
          type: array
        titel:
          nullable: true
          type: string
      required:
      - categorie
      - publicatiedatum
      title: Publicatie
      type: object
    Thema:
      properties:
        aanvullendThema:
          nullable: true
          type: string
        hoofdthema:
          nullable: true
          type: string
        subthema:
          nullable: true
          type: string
      required:
      - hoofdthema
      title: Thema
      type: object
    Verzoek:
      properties:
        besluit:
          properties:
            categorie:
              nullable: true
              type: string
            documentText:
              nullable: true
              type: string
            extension:
              nullable: true
              type: string
            id:
              nullable: true
              type: string
            status:
              nullable: true
              type: string
            titel:
              nullable: true
              type: string
            type:
              nullable: true
              type: string
            url:
              format: url
              nullable: true
              type: string
          required:
          - titel
          title: Bijlage
          type: object
        informatieverzoek:
          properties:
            categorie:
              nullable: true
              type: string
            documentText:
              nullable: true
              type: string
            extension:
              nullable: true
              type: string
            id:
              nullable: true
              type: string
            status:
              nullable: true
              type: string
            titel:
              nullable: true
              type: string
            type:
              nullable: true
              type: string
            url:
              format: url
              nullable: true
              type: string
          required:
          - titel
          title: Bijlage
          type: object
        inventarisatielijst:
          properties:
            categorie:
              nullable: true
              type: string
            documentText:
              nullable: true
              type: string
            extension:
              nullable: true
              type: string
            id:
              nullable: true
              type: string
            status:
              nullable: true
              type: string
            titel:
              nullable: true
              type: string
            type:
              nullable: true
              type: string
            url:
              format: url
              nullable: true
              type: string
          required:
          - titel
          title: Bijlage
          type: object
        ontvangerInformatieverzoek:
          nullable: true
          type: string
        ontvangstdatum:
          description: 'format: Y-m-d'
          nullable: true
          type: string
        status:
          nullable: true
          type: string
        termijnoverschrijding:
          nullable: true
          type: string
      title: Verzoek
      type: object
info:
  contact:
    email: info@conduction.nl
    name: Conduction B.V.
    url: https://conduction.nl
  description: The open api specification of the Woo api.
  title: Woo
  version: 1.0.0
openapi: 3.0.0
paths:
  /api/bijlagen:
    get:
      operationId: get-api-bijlagen
      responses:
        "200":
          content:
            application/json:
              schema:
                items:
                  properties:
                    categorie:
                      nullable: true
                      type: string
                    documentText:
                      nullable: true
                      type: string
                    extension:
                      nullable: true
                      type: string
                    id:
                      nullable: true
                      type: string
                    status:
                      nullable: true
                      type: string
                    titel:
                      nullable: true
                      type: string
                    type:
                      nullable: true
                      type: string
                    url:
                      format: url
                      nullable: true
                      type: string
                  required:
                  - titel
                  title: Bijlage
                  type: object
                type: array
          description: Successful response.
      servers:
      - url: https://api.gateway.commonground.nu/api
      summary: Retrieve bijlagen collection
      tags:
      - Bijlagen
    post:
      operationId: post-api-bijlagen
      requestBody:
        content:
          application/json:
            schema:
              properties:
                categorie:
                  nullable: true
                  type: string
                documentText:
                  nullable: true
                  type: string
                extension:
                  nullable: true
                  type: string
                id:
                  nullable: true
                  type: string
                status:
                  nullable: true
                  type: string
                titel:
                  nullable: true
                  type: string
                type:
                  nullable: true
                  type: string
                url:
                  format: url
                  nullable: true
                  type: string
              required:
              - titel
              title: Bijlage
              type: object
      responses:
        "200":
          content:
            application/json:
              schema:
                properties:
                  categorie:
                    nullable: true
                    type: string
                  documentText:
                    nullable: true
                    type: string
                  extension:
                    nullable: true
                    type: string
                  id:
                    nullable: true
                    type: string
                  status:
                    nullable: true
                    type: string
                  titel:
                    nullable: true
                    type: string
                  type:
                    nullable: true
                    type: string
                  url:
                    format: url
                    nullable: true
                    type: string
                required:
                - titel
                title: Bijlage
                type: object
          description: OK
      servers:
      - url: https://api.gateway.commonground.nu/api
      summary: Create a bijlage
      tags:
      - Bijlagen
  /api/bijlagen/{id}:
    delete:
      operationId: delete-api-bijlagen-id
      parameters:
      - in: path
        name: id
        required: true
        schema:
          type: string
      responses:
        "200":
          description: OK
      servers:
      - url: https://api.gateway.commonground.nu/api
      summary: Delete a bijlage
      tags:
      - Bijlagen
    get:
      operationId: get-api-bijlagen-id
      parameters:
      - description: UUID
        in: path
        name: id
        required: true
        schema:
          type: string
      responses:
        "200":
          content:
            application/json:
              schema:
                properties:
                  categorie:
                    nullable: true
                    type: string
                  documentText:
                    nullable: true
                    type: string
                  extension:
                    nullable: true
                    type: string
                  id:
                    nullable: true
                    type: string
                  status:
                    nullable: true
                    type: string
                  titel:
                    nullable: true
                    type: string
                  type:
                    nullable: true
                    type: string
                  url:
                    format: url
                    nullable: true
                    type: string
                required:
                - titel
                title: Bijlage
                type: object
          description: Successful response.
      servers:
      - url: https://api.gateway.commonground.nu/api
      summary: Retrieve a bijlage
      tags:
      - Bijlagen
    patch:
      operationId: patch-api-bijlagen-id
      parameters:
      - in: path
        name: id
        required: true
        schema:
          type: string
      requestBody:
        content:
          application/json:
            schema:
              properties:
                categorie:
                  nullable: true
                  type: string
                documentText:
                  nullable: true
                  type: string
                extension:
                  nullable: true
                  type: string
                id:
                  nullable: true
                  type: string
                status:
                  nullable: true
                  type: string
                titel:
                  nullable: true
                  type: string
                type:
                  nullable: true
                  type: string
                url:
                  format: url
                  nullable: true
                  type: string
              required:
              - titel
              title: Bijlage
              type: object
      responses:
        "200":
          content:
            application/json:
              schema:
                properties:
                  categorie:
                    nullable: true
                    type: string
                  documentText:
                    nullable: true
                    type: string
                  extension:
                    nullable: true
                    type: string
                  id:
                    nullable: true
                    type: string
                  status:
                    nullable: true
                    type: string
                  titel:
                    nullable: true
                    type: string
                  type:
                    nullable: true
                    type: string
                  url:
                    format: url
                    nullable: true
                    type: string
                required:
                - titel
                title: Bijlage
                type: object
          description: OK
      servers:
      - url: https://api.gateway.commonground.nu/api
      summary: Modify a bijlage
      tags:
      - Bijlagen
    put:
      operationId: put-api-bijlagen-id
      parameters:
      - in: path
        name: id
        required: true
        schema:
          type: string
      requestBody:
        content:
          application/json:
            schema:
              properties:
                categorie:
                  nullable: true
                  type: string
                documentText:
                  nullable: true
                  type: string
                extension:
                  nullable: true
                  type: string
                id:
                  nullable: true
                  type: string
                status:
                  nullable: true
                  type: string
                titel:
                  nullable: true
                  type: string
                type:
                  nullable: true
                  type: string
                url:
                  format: url
                  nullable: true
                  type: string
              required:
              - titel
              title: Bijlage
              type: object
      responses:
        "200":
          content:
            application/json:
              schema:
                properties:
                  categorie:
                    nullable: true
                    type: string
                  documentText:
                    nullable: true
                    type: string
                  extension:
                    nullable: true
                    type: string
                  id:
                    nullable: true
                    type: string
                  status:
                    nullable: true
                    type: string
                  titel:
                    nullable: true
                    type: string
                  type:
                    nullable: true
                    type: string
                  url:
                    format: url
                    nullable: true
                    type: string
                required:
                - titel
                title: Bijlage
                type: object
          description: OK
      servers:
      - url: https://api.gateway.commonground.nu/api
      summary: Update a bijlage
      tags:
      - Bijlagen
  /api/metadata:
    get:
      operationId: get-api-metadata
      responses:
        "200":
          content:
            application/json:
              schema:
                items:
                  description: Metadata object for Woo object
                  properties:
                    besluitdatum:
                      description: 'format: Y-m-d'
                      nullable: true
                      type: string
                    verzoek:
                      properties:
                        besluit:
                          properties:
                            categorie:
                              nullable: true
                              type: string
                            documentText:
                              nullable: true
                              type: string
                            extension:
                              nullable: true
                              type: string
                            id:
                              nullable: true
                              type: string
                            status:
                              nullable: true
                              type: string
                            titel:
                              nullable: true
                              type: string
                            type:
                              nullable: true
                              type: string
                            url:
                              format: url
                              nullable: true
                              type: string
                          required:
                          - titel
                          title: Bijlage
                          type: object
                        informatieverzoek:
                          properties:
                            categorie:
                              nullable: true
                              type: string
                            documentText:
                              nullable: true
                              type: string
                            extension:
                              nullable: true
                              type: string
                            id:
                              nullable: true
                              type: string
                            status:
                              nullable: true
                              type: string
                            titel:
                              nullable: true
                              type: string
                            type:
                              nullable: true
                              type: string
                            url:
                              format: url
                              nullable: true
                              type: string
                          required:
                          - titel
                          title: Bijlage
                          type: object
                        inventarisatielijst:
                          properties:
                            categorie:
                              nullable: true
                              type: string
                            documentText:
                              nullable: true
                              type: string
                            extension:
                              nullable: true
                              type: string
                            id:
                              nullable: true
                              type: string
                            status:
                              nullable: true
                              type: string
                            titel:
                              nullable: true
                              type: string
                            type:
                              nullable: true
                              type: string
                            url:
                              format: url
                              nullable: true
                              type: string
                          required:
                          - titel
                          title: Bijlage
                          type: object
                        ontvangerInformatieverzoek:
                          nullable: true
                          type: string
                        ontvangstdatum:
                          description: 'format: Y-m-d'
                          nullable: true
                          type: string
                        status:
                          nullable: true
                          type: string
                        termijnoverschrijding:
                          nullable: true
                          type: string
                      title: Verzoek
                      type: object
                    volgnummer:
                      nullable: true
                      type: string
                  title: Metadata
                  type: object
                type: array
          description: Successful response.
      servers:
      - url: https://api.gateway.commonground.nu/api
      summary: Retrieve metadata collection
      tags:
      - Metadata
    post:
      operationId: post-api-metadata
      requestBody:
        content:
          application/json:
            schema:
              properties:
                aanvullendThema:
                  nullable: true
                  type: string
                hoofdthema:
                  nullable: true
                  type: string
                subthema:
                  nullable: true
                  type: string
              required:
              - hoofdthema
              title: Thema
              type: object
      responses:
        "200":
          content:
            application/json:
              schema:
                properties:
                  aanvullendThema:
                    nullable: true
                    type: string
                  hoofdthema:
                    nullable: true
                    type: string
                  subthema:
                    nullable: true
                    type: string
                required:
                - hoofdthema
                title: Thema
                type: object
          description: OK
      servers:
      - url: https://api.gateway.commonground.nu/api
      summary: Create a metadata
      tags:
      - Metadata
  /api/metadata/{id}:
    delete:
      operationId: delete-api-metadata-id
      parameters:
      - in: path
        name: id
        required: true
        schema:
          type: string
      responses:
        "200":
          description: OK
      servers:
      - url: https://api.gateway.commonground.nu/api
      summary: Delete a metadata
      tags:
      - Metadata
    get:
      operationId: get-api-metadata-id
      parameters:
      - description: UUID
        in: path
        name: id
        required: true
        schema:
          type: string
      responses:
        "200":
          content:
            application/json:
              schema:
                description: Metadata object for Woo object
                properties:
                  besluitdatum:
                    description: 'format: Y-m-d'
                    nullable: true
                    type: string
                  verzoek:
                    properties:
                      besluit:
                        properties:
                          categorie:
                            nullable: true
                            type: string
                          documentText:
                            nullable: true
                            type: string
                          extension:
                            nullable: true
                            type: string
                          id:
                            nullable: true
                            type: string
                          status:
                            nullable: true
                            type: string
                          titel:
                            nullable: true
                            type: string
                          type:
                            nullable: true
                            type: string
                          url:
                            format: url
                            nullable: true
                            type: string
                        required:
                        - titel
                        title: Bijlage
                        type: object
                      informatieverzoek:
                        properties:
                          categorie:
                            nullable: true
                            type: string
                          documentText:
                            nullable: true
                            type: string
                          extension:
                            nullable: true
                            type: string
                          id:
                            nullable: true
                            type: string
                          status:
                            nullable: true
                            type: string
                          titel:
                            nullable: true
                            type: string
                          type:
                            nullable: true
                            type: string
                          url:
                            format: url
                            nullable: true
                            type: string
                        required:
                        - titel
                        title: Bijlage
                        type: object
                      inventarisatielijst:
                        properties:
                          categorie:
                            nullable: true
                            type: string
                          documentText:
                            nullable: true
                            type: string
                          extension:
                            nullable: true
                            type: string
                          id:
                            nullable: true
                            type: string
                          status:
                            nullable: true
                            type: string
                          titel:
                            nullable: true
                            type: string
                          type:
                            nullable: true
                            type: string
                          url:
                            format: url
                            nullable: true
                            type: string
                        required:
                        - titel
                        title: Bijlage
                        type: object
                      ontvangerInformatieverzoek:
                        nullable: true
                        type: string
                      ontvangstdatum:
                        description: 'format: Y-m-d'
                        nullable: true
                        type: string
                      status:
                        nullable: true
                        type: string
                      termijnoverschrijding:
                        nullable: true
                        type: string
                    title: Verzoek
                    type: object
                  volgnummer:
                    nullable: true
                    type: string
                title: Metadata
                type: object
          description: Successful response.
      servers:
      - url: https://api.gateway.commonground.nu/api
      summary: Retrieve a metadata
      tags:
      - Metadata
    patch:
      operationId: patch-api-metadata-id
      parameters:
      - in: path
        name: id
        required: true
        schema:
          type: string
      requestBody:
        content:
          application/json:
            schema:
              description: Metadata object for Woo object
              properties:
                besluitdatum:
                  description: 'format: Y-m-d'
                  nullable: true
                  type: string
                verzoek:
                  properties:
                    besluit:
                      properties:
                        categorie:
                          nullable: true
                          type: string
                        documentText:
                          nullable: true
                          type: string
                        extension:
                          nullable: true
                          type: string
                        id:
                          nullable: true
                          type: string
                        status:
                          nullable: true
                          type: string
                        titel:
                          nullable: true
                          type: string
                        type:
                          nullable: true
                          type: string
                        url:
                          format: url
                          nullable: true
                          type: string
                      required:
                      - titel
                      title: Bijlage
                      type: object
                    informatieverzoek:
                      properties:
                        categorie:
                          nullable: true
                          type: string
                        documentText:
                          nullable: true
                          type: string
                        extension:
                          nullable: true
                          type: string
                        id:
                          nullable: true
                          type: string
                        status:
                          nullable: true
                          type: string
                        titel:
                          nullable: true
                          type: string
                        type:
                          nullable: true
                          type: string
                        url:
                          format: url
                          nullable: true
                          type: string
                      required:
                      - titel
                      title: Bijlage
                      type: object
                    inventarisatielijst:
                      properties:
                        categorie:
                          nullable: true
                          type: string
                        documentText:
                          nullable: true
                          type: string
                        extension:
                          nullable: true
                          type: string
                        id:
                          nullable: true
                          type: string
                        status:
                          nullable: true
                          type: string
                        titel:
                          nullable: true
                          type: string
                        type:
                          nullable: true
                          type: string
                        url:
                          format: url
                          nullable: true
                          type: string
                      required:
                      - titel
                      title: Bijlage
                      type: object
                    ontvangerInformatieverzoek:
                      nullable: true
                      type: string
                    ontvangstdatum:
                      description: 'format: Y-m-d'
                      nullable: true
                      type: string
                    status:
                      nullable: true
                      type: string
                    termijnoverschrijding:
                      nullable: true
                      type: string
                  title: Verzoek
                  type: object
                volgnummer:
                  nullable: true
                  type: string
              title: Metadata
              type: object
      responses:
        "200":
          content:
            application/json:
              schema:
                description: Metadata object for Woo object
                properties:
                  besluitdatum:
                    description: 'format: Y-m-d'
                    nullable: true
                    type: string
                  verzoek:
                    properties:
                      besluit:
                        properties:
                          categorie:
                            nullable: true
                            type: string
                          documentText:
                            nullable: true
                            type: string
                          extension:
                            nullable: true
                            type: string
                          id:
                            nullable: true
                            type: string
                          status:
                            nullable: true
                            type: string
                          titel:
                            nullable: true
                            type: string
                          type:
                            nullable: true
                            type: string
                          url:
                            format: url
                            nullable: true
                            type: string
                        required:
                        - titel
                        title: Bijlage
                        type: object
                      informatieverzoek:
                        properties:
                          categorie:
                            nullable: true
                            type: string
                          documentText:
                            nullable: true
                            type: string
                          extension:
                            nullable: true
                            type: string
                          id:
                            nullable: true
                            type: string
                          status:
                            nullable: true
                            type: string
                          titel:
                            nullable: true
                            type: string
                          type:
                            nullable: true
                            type: string
                          url:
                            format: url
                            nullable: true
                            type: string
                        required:
                        - titel
                        title: Bijlage
                        type: object
                      inventarisatielijst:
                        properties:
                          categorie:
                            nullable: true
                            type: string
                          documentText:
                            nullable: true
                            type: string
                          extension:
                            nullable: true
                            type: string
                          id:
                            nullable: true
                            type: string
                          status:
                            nullable: true
                            type: string
                          titel:
                            nullable: true
                            type: string
                          type:
                            nullable: true
                            type: string
                          url:
                            format: url
                            nullable: true
                            type: string
                        required:
                        - titel
                        title: Bijlage
                        type: object
                      ontvangerInformatieverzoek:
                        nullable: true
                        type: string
                      ontvangstdatum:
                        description: 'format: Y-m-d'
                        nullable: true
                        type: string
                      status:
                        nullable: true
                        type: string
                      termijnoverschrijding:
                        nullable: true
                        type: string
                    title: Verzoek
                    type: object
                  volgnummer:
                    nullable: true
                    type: string
                title: Metadata
                type: object
          description: OK
      servers:
      - url: https://api.gateway.commonground.nu/api
      summary: Modify a metadata
      tags:
      - Metadata
    put:
      operationId: put-api-metadata-id
      parameters:
      - in: path
        name: id
        required: true
        schema:
          type: string
      requestBody:
        content:
          application/json:
            schema:
              description: Metadata object for Woo object
              properties:
                besluitdatum:
                  description: 'format: Y-m-d'
                  nullable: true
                  type: string
                verzoek:
                  properties:
                    besluit:
                      properties:
                        categorie:
                          nullable: true
                          type: string
                        documentText:
                          nullable: true
                          type: string
                        extension:
                          nullable: true
                          type: string
                        id:
                          nullable: true
                          type: string
                        status:
                          nullable: true
                          type: string
                        titel:
                          nullable: true
                          type: string
                        type:
                          nullable: true
                          type: string
                        url:
                          format: url
                          nullable: true
                          type: string
                      required:
                      - titel
                      title: Bijlage
                      type: object
                    informatieverzoek:
                      properties:
                        categorie:
                          nullable: true
                          type: string
                        documentText:
                          nullable: true
                          type: string
                        extension:
                          nullable: true
                          type: string
                        id:
                          nullable: true
                          type: string
                        status:
                          nullable: true
                          type: string
                        titel:
                          nullable: true
                          type: string
                        type:
                          nullable: true
                          type: string
                        url:
                          format: url
                          nullable: true
                          type: string
                      required:
                      - titel
                      title: Bijlage
                      type: object
                    inventarisatielijst:
                      properties:
                        categorie:
                          nullable: true
                          type: string
                        documentText:
                          nullable: true
                          type: string
                        extension:
                          nullable: true
                          type: string
                        id:
                          nullable: true
                          type: string
                        status:
                          nullable: true
                          type: string
                        titel:
                          nullable: true
                          type: string
                        type:
                          nullable: true
                          type: string
                        url:
                          format: url
                          nullable: true
                          type: string
                      required:
                      - titel
                      title: Bijlage
                      type: object
                    ontvangerInformatieverzoek:
                      nullable: true
                      type: string
                    ontvangstdatum:
                      description: 'format: Y-m-d'
                      nullable: true
                      type: string
                    status:
                      nullable: true
                      type: string
                    termijnoverschrijding:
                      nullable: true
                      type: string
                  title: Verzoek
                  type: object
                volgnummer:
                  nullable: true
                  type: string
              title: Metadata
              type: object
      responses:
        "200":
          content:
            application/json:
              schema:
                description: Metadata object for Woo object
                properties:
                  besluitdatum:
                    description: 'format: Y-m-d'
                    nullable: true
                    type: string
                  verzoek:
                    properties:
                      besluit:
                        properties:
                          categorie:
                            nullable: true
                            type: string
                          documentText:
                            nullable: true
                            type: string
                          extension:
                            nullable: true
                            type: string
                          id:
                            nullable: true
                            type: string
                          status:
                            nullable: true
                            type: string
                          titel:
                            nullable: true
                            type: string
                          type:
                            nullable: true
                            type: string
                          url:
                            format: url
                            nullable: true
                            type: string
                        required:
                        - titel
                        title: Bijlage
                        type: object
                      informatieverzoek:
                        properties:
                          categorie:
                            nullable: true
                            type: string
                          documentText:
                            nullable: true
                            type: string
                          extension:
                            nullable: true
                            type: string
                          id:
                            nullable: true
                            type: string
                          status:
                            nullable: true
                            type: string
                          titel:
                            nullable: true
                            type: string
                          type:
                            nullable: true
                            type: string
                          url:
                            format: url
                            nullable: true
                            type: string
                        required:
                        - titel
                        title: Bijlage
                        type: object
                      inventarisatielijst:
                        properties:
                          categorie:
                            nullable: true
                            type: string
                          documentText:
                            nullable: true
                            type: string
                          extension:
                            nullable: true
                            type: string
                          id:
                            nullable: true
                            type: string
                          status:
                            nullable: true
                            type: string
                          titel:
                            nullable: true
                            type: string
                          type:
                            nullable: true
                            type: string
                          url:
                            format: url
                            nullable: true
                            type: string
                        required:
                        - titel
                        title: Bijlage
                        type: object
                      ontvangerInformatieverzoek:
                        nullable: true
                        type: string
                      ontvangstdatum:
                        description: 'format: Y-m-d'
                        nullable: true
                        type: string
                      status:
                        nullable: true
                        type: string
                      termijnoverschrijding:
                        nullable: true
                        type: string
                    title: Verzoek
                    type: object
                  volgnummer:
                    nullable: true
                    type: string
                title: Metadata
                type: object
          description: OK
      servers:
      - url: https://api.gateway.commonground.nu/api
      summary: Update a metadata
      tags:
      - Metadata
  /api/organisaties:
    get:
      operationId: get-api-organisaties
      responses:
        "200":
          content:
            application/json:
              schema:
                items:
                  properties:
                    id:
                      nullable: true
                      type: string
                    naam:
                      nullable: true
                      type: string
                    oin:
                      nullable: true
                      type: string
                    rsin:
                      nullable: true
                      type: string
                    tooi:
                      nullable: true
                      type: string
                    uuid:
                      nullable: true
                      type: string
                  required:
                  - naam
                  title: Organisatie
                  type: object
                type: array
          description: Successful response.
      servers:
      - url: https://api.gateway.commonground.nu/api
      summary: Retrieve organisatie collection
      tags:
      - Organisaties
    post:
      operationId: post-api-organisaties
      requestBody:
        content:
          application/json:
            schema:
              properties:
                id:
                  nullable: true
                  type: string
                naam:
                  nullable: true
                  type: string
                oin:
                  nullable: true
                  type: string
                rsin:
                  nullable: true
                  type: string
                tooi:
                  nullable: true
                  type: string
                uuid:
                  nullable: true
                  type: string
              required:
              - naam
              title: Organisatie
              type: object
      responses:
        "200":
          content:
            application/json:
              schema:
                properties:
                  id:
                    nullable: true
                    type: string
                  naam:
                    nullable: true
                    type: string
                  oin:
                    nullable: true
                    type: string
                  rsin:
                    nullable: true
                    type: string
                  tooi:
                    nullable: true
                    type: string
                  uuid:
                    nullable: true
                    type: string
                required:
                - naam
                title: Organisatie
                type: object
          description: OK
      servers:
      - url: https://api.gateway.commonground.nu/api
      summary: Create a organisatie
      tags:
      - Organisaties
  /api/organisaties/{id}:
    delete:
      operationId: delete-api-organisaties-id
      parameters:
      - in: path
        name: id
        required: true
        schema:
          type: string
      responses:
        "200":
          description: OK
      servers:
      - url: https://api.gateway.commonground.nu/api
      summary: Delete a organisatie
      tags:
      - Organisaties
    get:
      operationId: get-api-organisaties-id
      parameters:
      - description: UUID
        in: path
        name: id
        required: true
        schema:
          type: string
      responses:
        "200":
          content:
            application/json:
              schema:
                properties:
                  id:
                    nullable: true
                    type: string
                  naam:
                    nullable: true
                    type: string
                  oin:
                    nullable: true
                    type: string
                  rsin:
                    nullable: true
                    type: string
                  tooi:
                    nullable: true
                    type: string
                  uuid:
                    nullable: true
                    type: string
                required:
                - naam
                title: Organisatie
                type: object
          description: Successful response.
      servers:
      - url: https://api.gateway.commonground.nu/api
      summary: Retrieve a organisatie
      tags:
      - Organisaties
    patch:
      operationId: patch-api-organisaties-id
      parameters:
      - in: path
        name: id
        required: true
        schema:
          type: string
      requestBody:
        content:
          application/json:
            schema:
              properties:
                id:
                  nullable: true
                  type: string
                naam:
                  nullable: true
                  type: string
                oin:
                  nullable: true
                  type: string
                rsin:
                  nullable: true
                  type: string
                tooi:
                  nullable: true
                  type: string
                uuid:
                  nullable: true
                  type: string
              required:
              - naam
              title: Organisatie
              type: object
      responses:
        "200":
          content:
            application/json:
              schema:
                properties:
                  id:
                    nullable: true
                    type: string
                  naam:
                    nullable: true
                    type: string
                  oin:
                    nullable: true
                    type: string
                  rsin:
                    nullable: true
                    type: string
                  tooi:
                    nullable: true
                    type: string
                  uuid:
                    nullable: true
                    type: string
                required:
                - naam
                title: Organisatie
                type: object
          description: OK
      servers:
      - url: https://api.gateway.commonground.nu/api
      summary: Modify a organisatie
      tags:
      - Organisaties
    put:
      operationId: put-api-organisaties-id
      parameters:
      - in: path
        name: id
        required: true
        schema:
          type: string
      requestBody:
        content:
          application/json:
            schema:
              properties:
                id:
                  nullable: true
                  type: string
                naam:
                  nullable: true
                  type: string
                oin:
                  nullable: true
                  type: string
                rsin:
                  nullable: true
                  type: string
                tooi:
                  nullable: true
                  type: string
                uuid:
                  nullable: true
                  type: string
              required:
              - naam
              title: Organisatie
              type: object
      responses:
        "200":
          content:
            application/json:
              schema:
                properties:
                  id:
                    nullable: true
                    type: string
                  naam:
                    nullable: true
                    type: string
                  oin:
                    nullable: true
                    type: string
                  rsin:
                    nullable: true
                    type: string
                  tooi:
                    nullable: true
                    type: string
                  uuid:
                    nullable: true
                    type: string
                required:
                - naam
                title: Organisatie
                type: object
          description: OK
      servers:
      - url: https://api.gateway.commonground.nu/api
      summary: Update a organisatie
      tags:
      - Organisaties
  /api/publicaties:
    get:
      operationId: get-api-publicaties
      parameters:
      - description: Oin of a organisation to filter on.
        in: query
        name: oin.organisation
        schema:
          type: string
      - description: Categorie to filter on.
        in: query
        name: categorie
        schema:
          type: string
      responses:
        "200":
          content:
            application/json:
              schema:
                items:
                  properties:
                    beschrijving:
                      nullable: true
                      type: string
                    bijlagen:
                      items:
                        properties:
                          categorie:
                            nullable: true
                            type: string
                          documentText:
                            nullable: true
                            type: string
                          extension:
                            nullable: true
                            type: string
                          id:
                            nullable: true
                            type: string
                          status:
                            nullable: true
                            type: string
                          titel:
                            nullable: true
                            type: string
                          type:
                            nullable: true
                            type: string
                          url:
                            format: url
                            nullable: true
                            type: string
                        required:
                        - titel
                        title: Bijlage
                        type: object
                      type: array
                    categorie:
                      nullable: true
                      type: string
                    gepubliceerd:
                      default: true
                      type: boolean
                    id:
                      nullable: true
                      type: string
                    metadata:
                      description: Metadata object for Woo object
                      properties:
                        besluitdatum:
                          description: 'format: Y-m-d'
                          nullable: true
                          type: string
                        verzoek:
                          properties:
                            besluit:
                              properties:
                                categorie:
                                  nullable: true
                                  type: string
                                documentText:
                                  nullable: true
                                  type: string
                                extension:
                                  nullable: true
                                  type: string
                                id:
                                  nullable: true
                                  type: string
                                status:
                                  nullable: true
                                  type: string
                                titel:
                                  nullable: true
                                  type: string
                                type:
                                  nullable: true
                                  type: string
                                url:
                                  format: url
                                  nullable: true
                                  type: string
                              required:
                              - titel
                              title: Bijlage
                              type: object
                            informatieverzoek:
                              properties:
                                categorie:
                                  nullable: true
                                  type: string
                                documentText:
                                  nullable: true
                                  type: string
                                extension:
                                  nullable: true
                                  type: string
                                id:
                                  nullable: true
                                  type: string
                                status:
                                  nullable: true
                                  type: string
                                titel:
                                  nullable: true
                                  type: string
                                type:
                                  nullable: true
                                  type: string
                                url:
                                  format: url
                                  nullable: true
                                  type: string
                              required:
                              - titel
                              title: Bijlage
                              type: object
                            inventarisatielijst:
                              properties:
                                categorie:
                                  nullable: true
                                  type: string
                                documentText:
                                  nullable: true
                                  type: string
                                extension:
                                  nullable: true
                                  type: string
                                id:
                                  nullable: true
                                  type: string
                                status:
                                  nullable: true
                                  type: string
                                titel:
                                  nullable: true
                                  type: string
                                type:
                                  nullable: true
                                  type: string
                                url:
                                  format: url
                                  nullable: true
                                  type: string
                              required:
                              - titel
                              title: Bijlage
                              type: object
                            ontvangerInformatieverzoek:
                              nullable: true
                              type: string
                            ontvangstdatum:
                              description: 'format: Y-m-d'
                              nullable: true
                              type: string
                            status:
                              nullable: true
                              type: string
                            termijnoverschrijding:
                              nullable: true
                              type: string
                          title: Verzoek
                          type: object
                        volgnummer:
                          nullable: true
                          type: string
                      title: Metadata
                      type: object
                    organisatie:
                      properties:
                        id:
                          nullable: true
                          type: string
                        naam:
                          nullable: true
                          type: string
                        oin:
                          nullable: true
                          type: string
                        rsin:
                          nullable: true
                          type: string
                        tooi:
                          nullable: true
                          type: string
                        uuid:
                          nullable: true
                          type: string
                      required:
                      - naam
                      title: Organisatie
                      type: object
                    portalUrl:
                      format: url
                      nullable: true
                      type: string
                    publicatiedatum:
                      description: Publicatiedatum van een Woo object is nooit in
                        de toekomst.
                      nullable: true
                      type: string
                    samenvatting:
                      nullable: true
                      type: string
                    themas:
                      items:
                        properties:
                          aanvullendThema:
                            nullable: true
                            type: string
                          hoofdthema:
                            nullable: true
                            type: string
                          subthema:
                            nullable: true
                            type: string
                        required:
                        - hoofdthema
                        title: Thema
                        type: object
                      nullable: true
                      type: array
                    titel:
                      nullable: true
                      type: string
                  required:
                  - categorie
                  - publicatiedatum
                  title: Publicatie
                  type: object
                type: array
          description: Successful response.
      servers:
      - url: https://api.gateway.commonground.nu/api
      summary: Retrieve publicatie collection
      tags:
      - Publicaties
    post:
      operationId: post-api-publicaties
      requestBody:
        content:
          application/json:
            schema:
              properties:
                beschrijving:
                  nullable: true
                  type: string
                bijlagen:
                  items:
                    properties:
                      categorie:
                        nullable: true
                        type: string
                      documentText:
                        nullable: true
                        type: string
                      extension:
                        nullable: true
                        type: string
                      id:
                        nullable: true
                        type: string
                      status:
                        nullable: true
                        type: string
                      titel:
                        nullable: true
                        type: string
                      type:
                        nullable: true
                        type: string
                      url:
                        format: url
                        nullable: true
                        type: string
                    required:
                    - titel
                    title: Bijlage
                    type: object
                  type: array
                categorie:
                  nullable: true
                  type: string
                gepubliceerd:
                  default: true
                  type: boolean
                id:
                  nullable: true
                  type: string
                metadata:
                  description: Metadata object for Woo object
                  properties:
                    besluitdatum:
                      description: 'format: Y-m-d'
                      nullable: true
                      type: string
                    verzoek:
                      properties:
                        besluit:
                          properties:
                            categorie:
                              nullable: true
                              type: string
                            documentText:
                              nullable: true
                              type: string
                            extension:
                              nullable: true
                              type: string
                            id:
                              nullable: true
                              type: string
                            status:
                              nullable: true
                              type: string
                            titel:
                              nullable: true
                              type: string
                            type:
                              nullable: true
                              type: string
                            url:
                              format: url
                              nullable: true
                              type: string
                          required:
                          - titel
                          title: Bijlage
                          type: object
                        informatieverzoek:
                          properties:
                            categorie:
                              nullable: true
                              type: string
                            documentText:
                              nullable: true
                              type: string
                            extension:
                              nullable: true
                              type: string
                            id:
                              nullable: true
                              type: string
                            status:
                              nullable: true
                              type: string
                            titel:
                              nullable: true
                              type: string
                            type:
                              nullable: true
                              type: string
                            url:
                              format: url
                              nullable: true
                              type: string
                          required:
                          - titel
                          title: Bijlage
                          type: object
                        inventarisatielijst:
                          properties:
                            categorie:
                              nullable: true
                              type: string
                            documentText:
                              nullable: true
                              type: string
                            extension:
                              nullable: true
                              type: string
                            id:
                              nullable: true
                              type: string
                            status:
                              nullable: true
                              type: string
                            titel:
                              nullable: true
                              type: string
                            type:
                              nullable: true
                              type: string
                            url:
                              format: url
                              nullable: true
                              type: string
                          required:
                          - titel
                          title: Bijlage
                          type: object
                        ontvangerInformatieverzoek:
                          nullable: true
                          type: string
                        ontvangstdatum:
                          description: 'format: Y-m-d'
                          nullable: true
                          type: string
                        status:
                          nullable: true
                          type: string
                        termijnoverschrijding:
                          nullable: true
                          type: string
                      title: Verzoek
                      type: object
                    volgnummer:
                      nullable: true
                      type: string
                  title: Metadata
                  type: object
                organisatie:
                  properties:
                    id:
                      nullable: true
                      type: string
                    naam:
                      nullable: true
                      type: string
                    oin:
                      nullable: true
                      type: string
                    rsin:
                      nullable: true
                      type: string
                    tooi:
                      nullable: true
                      type: string
                    uuid:
                      nullable: true
                      type: string
                  required:
                  - naam
                  title: Organisatie
                  type: object
                portalUrl:
                  format: url
                  nullable: true
                  type: string
                publicatiedatum:
                  description: Publicatiedatum van een Woo object is nooit in de toekomst.
                  nullable: true
                  type: string
                samenvatting:
                  nullable: true
                  type: string
                themas:
                  items:
                    properties:
                      aanvullendThema:
                        nullable: true
                        type: string
                      hoofdthema:
                        nullable: true
                        type: string
                      subthema:
                        nullable: true
                        type: string
                    required:
                    - hoofdthema
                    title: Thema
                    type: object
                  nullable: true
                  type: array
                titel:
                  nullable: true
                  type: string
              required:
              - categorie
              - publicatiedatum
              title: Publicatie
              type: object
      responses:
        "200":
          content:
            application/json:
              schema:
                properties:
                  beschrijving:
                    nullable: true
                    type: string
                  bijlagen:
                    items:
                      properties:
                        categorie:
                          nullable: true
                          type: string
                        documentText:
                          nullable: true
                          type: string
                        extension:
                          nullable: true
                          type: string
                        id:
                          nullable: true
                          type: string
                        status:
                          nullable: true
                          type: string
                        titel:
                          nullable: true
                          type: string
                        type:
                          nullable: true
                          type: string
                        url:
                          format: url
                          nullable: true
                          type: string
                      required:
                      - titel
                      title: Bijlage
                      type: object
                    type: array
                  categorie:
                    nullable: true
                    type: string
                  gepubliceerd:
                    default: true
                    type: boolean
                  id:
                    nullable: true
                    type: string
                  metadata:
                    description: Metadata object for Woo object
                    properties:
                      besluitdatum:
                        description: 'format: Y-m-d'
                        nullable: true
                        type: string
                      verzoek:
                        properties:
                          besluit:
                            properties:
                              categorie:
                                nullable: true
                                type: string
                              documentText:
                                nullable: true
                                type: string
                              extension:
                                nullable: true
                                type: string
                              id:
                                nullable: true
                                type: string
                              status:
                                nullable: true
                                type: string
                              titel:
                                nullable: true
                                type: string
                              type:
                                nullable: true
                                type: string
                              url:
                                format: url
                                nullable: true
                                type: string
                            required:
                            - titel
                            title: Bijlage
                            type: object
                          informatieverzoek:
                            properties:
                              categorie:
                                nullable: true
                                type: string
                              documentText:
                                nullable: true
                                type: string
                              extension:
                                nullable: true
                                type: string
                              id:
                                nullable: true
                                type: string
                              status:
                                nullable: true
                                type: string
                              titel:
                                nullable: true
                                type: string
                              type:
                                nullable: true
                                type: string
                              url:
                                format: url
                                nullable: true
                                type: string
                            required:
                            - titel
                            title: Bijlage
                            type: object
                          inventarisatielijst:
                            properties:
                              categorie:
                                nullable: true
                                type: string
                              documentText:
                                nullable: true
                                type: string
                              extension:
                                nullable: true
                                type: string
                              id:
                                nullable: true
                                type: string
                              status:
                                nullable: true
                                type: string
                              titel:
                                nullable: true
                                type: string
                              type:
                                nullable: true
                                type: string
                              url:
                                format: url
                                nullable: true
                                type: string
                            required:
                            - titel
                            title: Bijlage
                            type: object
                          ontvangerInformatieverzoek:
                            nullable: true
                            type: string
                          ontvangstdatum:
                            description: 'format: Y-m-d'
                            nullable: true
                            type: string
                          status:
                            nullable: true
                            type: string
                          termijnoverschrijding:
                            nullable: true
                            type: string
                        title: Verzoek
                        type: object
                      volgnummer:
                        nullable: true
                        type: string
                    title: Metadata
                    type: object
                  organisatie:
                    properties:
                      id:
                        nullable: true
                        type: string
                      naam:
                        nullable: true
                        type: string
                      oin:
                        nullable: true
                        type: string
                      rsin:
                        nullable: true
                        type: string
                      tooi:
                        nullable: true
                        type: string
                      uuid:
                        nullable: true
                        type: string
                    required:
                    - naam
                    title: Organisatie
                    type: object
                  portalUrl:
                    format: url
                    nullable: true
                    type: string
                  publicatiedatum:
                    description: Publicatiedatum van een Woo object is nooit in de
                      toekomst.
                    nullable: true
                    type: string
                  samenvatting:
                    nullable: true
                    type: string
                  themas:
                    items:
                      properties:
                        aanvullendThema:
                          nullable: true
                          type: string
                        hoofdthema:
                          nullable: true
                          type: string
                        subthema:
                          nullable: true
                          type: string
                      required:
                      - hoofdthema
                      title: Thema
                      type: object
                    nullable: true
                    type: array
                  titel:
                    nullable: true
                    type: string
                required:
                - categorie
                - publicatiedatum
                title: Publicatie
                type: object
          description: OK
      servers:
      - url: https://api.gateway.commonground.nu/api
      summary: Create a publicatie
      tags:
      - Publicaties
  /api/publicaties/{id}:
    delete:
      operationId: delete-api-publicaties-id
      parameters:
      - in: path
        name: id
        required: true
        schema:
          type: string
      responses:
        "200":
          description: OK
      servers:
      - url: https://api.gateway.commonground.nu/api
      summary: Delete a publicatie
      tags:
      - Publicaties
    get:
      operationId: get-api-publicaties-id
      parameters:
      - description: UUID
        in: path
        name: id
        required: true
        schema:
          type: string
      responses:
        "200":
          content:
            application/json:
              schema:
                properties:
                  beschrijving:
                    nullable: true
                    type: string
                  bijlagen:
                    items:
                      properties:
                        categorie:
                          nullable: true
                          type: string
                        documentText:
                          nullable: true
                          type: string
                        extension:
                          nullable: true
                          type: string
                        id:
                          nullable: true
                          type: string
                        status:
                          nullable: true
                          type: string
                        titel:
                          nullable: true
                          type: string
                        type:
                          nullable: true
                          type: string
                        url:
                          format: url
                          nullable: true
                          type: string
                      required:
                      - titel
                      title: Bijlage
                      type: object
                    type: array
                  categorie:
                    nullable: true
                    type: string
                  gepubliceerd:
                    default: true
                    type: boolean
                  id:
                    nullable: true
                    type: string
                  metadata:
                    description: Metadata object for Woo object
                    properties:
                      besluitdatum:
                        description: 'format: Y-m-d'
                        nullable: true
                        type: string
                      verzoek:
                        properties:
                          besluit:
                            properties:
                              categorie:
                                nullable: true
                                type: string
                              documentText:
                                nullable: true
                                type: string
                              extension:
                                nullable: true
                                type: string
                              id:
                                nullable: true
                                type: string
                              status:
                                nullable: true
                                type: string
                              titel:
                                nullable: true
                                type: string
                              type:
                                nullable: true
                                type: string
                              url:
                                format: url
                                nullable: true
                                type: string
                            required:
                            - titel
                            title: Bijlage
                            type: object
                          informatieverzoek:
                            properties:
                              categorie:
                                nullable: true
                                type: string
                              documentText:
                                nullable: true
                                type: string
                              extension:
                                nullable: true
                                type: string
                              id:
                                nullable: true
                                type: string
                              status:
                                nullable: true
                                type: string
                              titel:
                                nullable: true
                                type: string
                              type:
                                nullable: true
                                type: string
                              url:
                                format: url
                                nullable: true
                                type: string
                            required:
                            - titel
                            title: Bijlage
                            type: object
                          inventarisatielijst:
                            properties:
                              categorie:
                                nullable: true
                                type: string
                              documentText:
                                nullable: true
                                type: string
                              extension:
                                nullable: true
                                type: string
                              id:
                                nullable: true
                                type: string
                              status:
                                nullable: true
                                type: string
                              titel:
                                nullable: true
                                type: string
                              type:
                                nullable: true
                                type: string
                              url:
                                format: url
                                nullable: true
                                type: string
                            required:
                            - titel
                            title: Bijlage
                            type: object
                          ontvangerInformatieverzoek:
                            nullable: true
                            type: string
                          ontvangstdatum:
                            description: 'format: Y-m-d'
                            nullable: true
                            type: string
                          status:
                            nullable: true
                            type: string
                          termijnoverschrijding:
                            nullable: true
                            type: string
                        title: Verzoek
                        type: object
                      volgnummer:
                        nullable: true
                        type: string
                    title: Metadata
                    type: object
                  organisatie:
                    properties:
                      id:
                        nullable: true
                        type: string
                      naam:
                        nullable: true
                        type: string
                      oin:
                        nullable: true
                        type: string
                      rsin:
                        nullable: true
                        type: string
                      tooi:
                        nullable: true
                        type: string
                      uuid:
                        nullable: true
                        type: string
                    required:
                    - naam
                    title: Organisatie
                    type: object
                  portalUrl:
                    format: url
                    nullable: true
                    type: string
                  publicatiedatum:
                    description: Publicatiedatum van een Woo object is nooit in de
                      toekomst.
                    nullable: true
                    type: string
                  samenvatting:
                    nullable: true
                    type: string
                  themas:
                    items:
                      properties:
                        aanvullendThema:
                          nullable: true
                          type: string
                        hoofdthema:
                          nullable: true
                          type: string
                        subthema:
                          nullable: true
                          type: string
                      required:
                      - hoofdthema
                      title: Thema
                      type: object
                    nullable: true
                    type: array
                  titel:
                    nullable: true
                    type: string
                required:
                - categorie
                - publicatiedatum
                title: Publicatie
                type: object
          description: Successful response.
      servers:
      - url: https://api.gateway.commonground.nu/api
      summary: Retrieve a publicatie
      tags:
      - Publicaties
    patch:
      operationId: patch-api-publicaties-id
      parameters:
      - in: path
        name: id
        required: true
        schema:
          type: string
      requestBody:
        content:
          application/json:
            schema:
              properties:
                beschrijving:
                  nullable: true
                  type: string
                bijlagen:
                  items:
                    properties:
                      categorie:
                        nullable: true
                        type: string
                      documentText:
                        nullable: true
                        type: string
                      extension:
                        nullable: true
                        type: string
                      id:
                        nullable: true
                        type: string
                      status:
                        nullable: true
                        type: string
                      titel:
                        nullable: true
                        type: string
                      type:
                        nullable: true
                        type: string
                      url:
                        format: url
                        nullable: true
                        type: string
                    required:
                    - titel
                    title: Bijlage
                    type: object
                  type: array
                categorie:
                  nullable: true
                  type: string
                gepubliceerd:
                  default: true
                  type: boolean
                id:
                  nullable: true
                  type: string
                metadata:
                  description: Metadata object for Woo object
                  properties:
                    besluitdatum:
                      description: 'format: Y-m-d'
                      nullable: true
                      type: string
                    verzoek:
                      properties:
                        besluit:
                          properties:
                            categorie:
                              nullable: true
                              type: string
                            documentText:
                              nullable: true
                              type: string
                            extension:
                              nullable: true
                              type: string
                            id:
                              nullable: true
                              type: string
                            status:
                              nullable: true
                              type: string
                            titel:
                              nullable: true
                              type: string
                            type:
                              nullable: true
                              type: string
                            url:
                              format: url
                              nullable: true
                              type: string
                          required:
                          - titel
                          title: Bijlage
                          type: object
                        informatieverzoek:
                          properties:
                            categorie:
                              nullable: true
                              type: string
                            documentText:
                              nullable: true
                              type: string
                            extension:
                              nullable: true
                              type: string
                            id:
                              nullable: true
                              type: string
                            status:
                              nullable: true
                              type: string
                            titel:
                              nullable: true
                              type: string
                            type:
                              nullable: true
                              type: string
                            url:
                              format: url
                              nullable: true
                              type: string
                          required:
                          - titel
                          title: Bijlage
                          type: object
                        inventarisatielijst:
                          properties:
                            categorie:
                              nullable: true
                              type: string
                            documentText:
                              nullable: true
                              type: string
                            extension:
                              nullable: true
                              type: string
                            id:
                              nullable: true
                              type: string
                            status:
                              nullable: true
                              type: string
                            titel:
                              nullable: true
                              type: string
                            type:
                              nullable: true
                              type: string
                            url:
                              format: url
                              nullable: true
                              type: string
                          required:
                          - titel
                          title: Bijlage
                          type: object
                        ontvangerInformatieverzoek:
                          nullable: true
                          type: string
                        ontvangstdatum:
                          description: 'format: Y-m-d'
                          nullable: true
                          type: string
                        status:
                          nullable: true
                          type: string
                        termijnoverschrijding:
                          nullable: true
                          type: string
                      title: Verzoek
                      type: object
                    volgnummer:
                      nullable: true
                      type: string
                  title: Metadata
                  type: object
                organisatie:
                  properties:
                    id:
                      nullable: true
                      type: string
                    naam:
                      nullable: true
                      type: string
                    oin:
                      nullable: true
                      type: string
                    rsin:
                      nullable: true
                      type: string
                    tooi:
                      nullable: true
                      type: string
                    uuid:
                      nullable: true
                      type: string
                  required:
                  - naam
                  title: Organisatie
                  type: object
                portalUrl:
                  format: url
                  nullable: true
                  type: string
                publicatiedatum:
                  description: Publicatiedatum van een Woo object is nooit in de toekomst.
                  nullable: true
                  type: string
                samenvatting:
                  nullable: true
                  type: string
                themas:
                  items:
                    properties:
                      aanvullendThema:
                        nullable: true
                        type: string
                      hoofdthema:
                        nullable: true
                        type: string
                      subthema:
                        nullable: true
                        type: string
                    required:
                    - hoofdthema
                    title: Thema
                    type: object
                  nullable: true
                  type: array
                titel:
                  nullable: true
                  type: string
              required:
              - categorie
              - publicatiedatum
              title: Publicatie
              type: object
      responses:
        "200":
          content:
            application/json:
              schema:
                properties:
                  beschrijving:
                    nullable: true
                    type: string
                  bijlagen:
                    items:
                      properties:
                        categorie:
                          nullable: true
                          type: string
                        documentText:
                          nullable: true
                          type: string
                        extension:
                          nullable: true
                          type: string
                        id:
                          nullable: true
                          type: string
                        status:
                          nullable: true
                          type: string
                        titel:
                          nullable: true
                          type: string
                        type:
                          nullable: true
                          type: string
                        url:
                          format: url
                          nullable: true
                          type: string
                      required:
                      - titel
                      title: Bijlage
                      type: object
                    type: array
                  categorie:
                    nullable: true
                    type: string
                  gepubliceerd:
                    default: true
                    type: boolean
                  id:
                    nullable: true
                    type: string
                  metadata:
                    description: Metadata object for Woo object
                    properties:
                      besluitdatum:
                        description: 'format: Y-m-d'
                        nullable: true
                        type: string
                      verzoek:
                        properties:
                          besluit:
                            properties:
                              categorie:
                                nullable: true
                                type: string
                              documentText:
                                nullable: true
                                type: string
                              extension:
                                nullable: true
                                type: string
                              id:
                                nullable: true
                                type: string
                              status:
                                nullable: true
                                type: string
                              titel:
                                nullable: true
                                type: string
                              type:
                                nullable: true
                                type: string
                              url:
                                format: url
                                nullable: true
                                type: string
                            required:
                            - titel
                            title: Bijlage
                            type: object
                          informatieverzoek:
                            properties:
                              categorie:
                                nullable: true
                                type: string
                              documentText:
                                nullable: true
                                type: string
                              extension:
                                nullable: true
                                type: string
                              id:
                                nullable: true
                                type: string
                              status:
                                nullable: true
                                type: string
                              titel:
                                nullable: true
                                type: string
                              type:
                                nullable: true
                                type: string
                              url:
                                format: url
                                nullable: true
                                type: string
                            required:
                            - titel
                            title: Bijlage
                            type: object
                          inventarisatielijst:
                            properties:
                              categorie:
                                nullable: true
                                type: string
                              documentText:
                                nullable: true
                                type: string
                              extension:
                                nullable: true
                                type: string
                              id:
                                nullable: true
                                type: string
                              status:
                                nullable: true
                                type: string
                              titel:
                                nullable: true
                                type: string
                              type:
                                nullable: true
                                type: string
                              url:
                                format: url
                                nullable: true
                                type: string
                            required:
                            - titel
                            title: Bijlage
                            type: object
                          ontvangerInformatieverzoek:
                            nullable: true
                            type: string
                          ontvangstdatum:
                            description: 'format: Y-m-d'
                            nullable: true
                            type: string
                          status:
                            nullable: true
                            type: string
                          termijnoverschrijding:
                            nullable: true
                            type: string
                        title: Verzoek
                        type: object
                      volgnummer:
                        nullable: true
                        type: string
                    title: Metadata
                    type: object
                  organisatie:
                    properties:
                      id:
                        nullable: true
                        type: string
                      naam:
                        nullable: true
                        type: string
                      oin:
                        nullable: true
                        type: string
                      rsin:
                        nullable: true
                        type: string
                      tooi:
                        nullable: true
                        type: string
                      uuid:
                        nullable: true
                        type: string
                    required:
                    - naam
                    title: Organisatie
                    type: object
                  portalUrl:
                    format: url
                    nullable: true
                    type: string
                  publicatiedatum:
                    description: Publicatiedatum van een Woo object is nooit in de
                      toekomst.
                    nullable: true
                    type: string
                  samenvatting:
                    nullable: true
                    type: string
                  themas:
                    items:
                      properties:
                        aanvullendThema:
                          nullable: true
                          type: string
                        hoofdthema:
                          nullable: true
                          type: string
                        subthema:
                          nullable: true
                          type: string
                      required:
                      - hoofdthema
                      title: Thema
                      type: object
                    nullable: true
                    type: array
                  titel:
                    nullable: true
                    type: string
                required:
                - categorie
                - publicatiedatum
                title: Publicatie
                type: object
          description: OK
      servers:
      - url: https://api.gateway.commonground.nu/api
      summary: Modify a publicatie
      tags:
      - Publicaties
    put:
      operationId: put-api-publicaties-id
      parameters:
      - in: path
        name: id
        required: true
        schema:
          type: string
      requestBody:
        content:
          application/json:
            schema:
              properties:
                beschrijving:
                  nullable: true
                  type: string
                bijlagen:
                  items:
                    properties:
                      categorie:
                        nullable: true
                        type: string
                      documentText:
                        nullable: true
                        type: string
                      extension:
                        nullable: true
                        type: string
                      id:
                        nullable: true
                        type: string
                      status:
                        nullable: true
                        type: string
                      titel:
                        nullable: true
                        type: string
                      type:
                        nullable: true
                        type: string
                      url:
                        format: url
                        nullable: true
                        type: string
                    required:
                    - titel
                    title: Bijlage
                    type: object
                  type: array
                categorie:
                  nullable: true
                  type: string
                gepubliceerd:
                  default: true
                  type: boolean
                id:
                  nullable: true
                  type: string
                metadata:
                  description: Metadata object for Woo object
                  properties:
                    besluitdatum:
                      description: 'format: Y-m-d'
                      nullable: true
                      type: string
                    verzoek:
                      properties:
                        besluit:
                          properties:
                            categorie:
                              nullable: true
                              type: string
                            documentText:
                              nullable: true
                              type: string
                            extension:
                              nullable: true
                              type: string
                            id:
                              nullable: true
                              type: string
                            status:
                              nullable: true
                              type: string
                            titel:
                              nullable: true
                              type: string
                            type:
                              nullable: true
                              type: string
                            url:
                              format: url
                              nullable: true
                              type: string
                          required:
                          - titel
                          title: Bijlage
                          type: object
                        informatieverzoek:
                          properties:
                            categorie:
                              nullable: true
                              type: string
                            documentText:
                              nullable: true
                              type: string
                            extension:
                              nullable: true
                              type: string
                            id:
                              nullable: true
                              type: string
                            status:
                              nullable: true
                              type: string
                            titel:
                              nullable: true
                              type: string
                            type:
                              nullable: true
                              type: string
                            url:
                              format: url
                              nullable: true
                              type: string
                          required:
                          - titel
                          title: Bijlage
                          type: object
                        inventarisatielijst:
                          properties:
                            categorie:
                              nullable: true
                              type: string
                            documentText:
                              nullable: true
                              type: string
                            extension:
                              nullable: true
                              type: string
                            id:
                              nullable: true
                              type: string
                            status:
                              nullable: true
                              type: string
                            titel:
                              nullable: true
                              type: string
                            type:
                              nullable: true
                              type: string
                            url:
                              format: url
                              nullable: true
                              type: string
                          required:
                          - titel
                          title: Bijlage
                          type: object
                        ontvangerInformatieverzoek:
                          nullable: true
                          type: string
                        ontvangstdatum:
                          description: 'format: Y-m-d'
                          nullable: true
                          type: string
                        status:
                          nullable: true
                          type: string
                        termijnoverschrijding:
                          nullable: true
                          type: string
                      title: Verzoek
                      type: object
                    volgnummer:
                      nullable: true
                      type: string
                  title: Metadata
                  type: object
                organisatie:
                  properties:
                    id:
                      nullable: true
                      type: string
                    naam:
                      nullable: true
                      type: string
                    oin:
                      nullable: true
                      type: string
                    rsin:
                      nullable: true
                      type: string
                    tooi:
                      nullable: true
                      type: string
                    uuid:
                      nullable: true
                      type: string
                  required:
                  - naam
                  title: Organisatie
                  type: object
                portalUrl:
                  format: url
                  nullable: true
                  type: string
                publicatiedatum:
                  description: Publicatiedatum van een Woo object is nooit in de toekomst.
                  nullable: true
                  type: string
                samenvatting:
                  nullable: true
                  type: string
                themas:
                  items:
                    properties:
                      aanvullendThema:
                        nullable: true
                        type: string
                      hoofdthema:
                        nullable: true
                        type: string
                      subthema:
                        nullable: true
                        type: string
                    required:
                    - hoofdthema
                    title: Thema
                    type: object
                  nullable: true
                  type: array
                titel:
                  nullable: true
                  type: string
              required:
              - categorie
              - publicatiedatum
              title: Publicatie
              type: object
      responses:
        "200":
          content:
            application/json:
              schema:
                properties:
                  beschrijving:
                    nullable: true
                    type: string
                  bijlagen:
                    items:
                      properties:
                        categorie:
                          nullable: true
                          type: string
                        documentText:
                          nullable: true
                          type: string
                        extension:
                          nullable: true
                          type: string
                        id:
                          nullable: true
                          type: string
                        status:
                          nullable: true
                          type: string
                        titel:
                          nullable: true
                          type: string
                        type:
                          nullable: true
                          type: string
                        url:
                          format: url
                          nullable: true
                          type: string
                      required:
                      - titel
                      title: Bijlage
                      type: object
                    type: array
                  categorie:
                    nullable: true
                    type: string
                  gepubliceerd:
                    default: true
                    type: boolean
                  id:
                    nullable: true
                    type: string
                  metadata:
                    description: Metadata object for Woo object
                    properties:
                      besluitdatum:
                        description: 'format: Y-m-d'
                        nullable: true
                        type: string
                      verzoek:
                        properties:
                          besluit:
                            properties:
                              categorie:
                                nullable: true
                                type: string
                              documentText:
                                nullable: true
                                type: string
                              extension:
                                nullable: true
                                type: string
                              id:
                                nullable: true
                                type: string
                              status:
                                nullable: true
                                type: string
                              titel:
                                nullable: true
                                type: string
                              type:
                                nullable: true
                                type: string
                              url:
                                format: url
                                nullable: true
                                type: string
                            required:
                            - titel
                            title: Bijlage
                            type: object
                          informatieverzoek:
                            properties:
                              categorie:
                                nullable: true
                                type: string
                              documentText:
                                nullable: true
                                type: string
                              extension:
                                nullable: true
                                type: string
                              id:
                                nullable: true
                                type: string
                              status:
                                nullable: true
                                type: string
                              titel:
                                nullable: true
                                type: string
                              type:
                                nullable: true
                                type: string
                              url:
                                format: url
                                nullable: true
                                type: string
                            required:
                            - titel
                            title: Bijlage
                            type: object
                          inventarisatielijst:
                            properties:
                              categorie:
                                nullable: true
                                type: string
                              documentText:
                                nullable: true
                                type: string
                              extension:
                                nullable: true
                                type: string
                              id:
                                nullable: true
                                type: string
                              status:
                                nullable: true
                                type: string
                              titel:
                                nullable: true
                                type: string
                              type:
                                nullable: true
                                type: string
                              url:
                                format: url
                                nullable: true
                                type: string
                            required:
                            - titel
                            title: Bijlage
                            type: object
                          ontvangerInformatieverzoek:
                            nullable: true
                            type: string
                          ontvangstdatum:
                            description: 'format: Y-m-d'
                            nullable: true
                            type: string
                          status:
                            nullable: true
                            type: string
                          termijnoverschrijding:
                            nullable: true
                            type: string
                        title: Verzoek
                        type: object
                      volgnummer:
                        nullable: true
                        type: string
                    title: Metadata
                    type: object
                  organisatie:
                    properties:
                      id:
                        nullable: true
                        type: string
                      naam:
                        nullable: true
                        type: string
                      oin:
                        nullable: true
                        type: string
                      rsin:
                        nullable: true
                        type: string
                      tooi:
                        nullable: true
                        type: string
                      uuid:
                        nullable: true
                        type: string
                    required:
                    - naam
                    title: Organisatie
                    type: object
                  portalUrl:
                    format: url
                    nullable: true
                    type: string
                  publicatiedatum:
                    description: Publicatiedatum van een Woo object is nooit in de
                      toekomst.
                    nullable: true
                    type: string
                  samenvatting:
                    nullable: true
                    type: string
                  themas:
                    items:
                      properties:
                        aanvullendThema:
                          nullable: true
                          type: string
                        hoofdthema:
                          nullable: true
                          type: string
                        subthema:
                          nullable: true
                          type: string
                      required:
                      - hoofdthema
                      title: Thema
                      type: object
                    nullable: true
                    type: array
                  titel:
                    nullable: true
                    type: string
                required:
                - categorie
                - publicatiedatum
                title: Publicatie
                type: object
          description: OK
      servers:
      - url: https://api.gateway.commonground.nu/api
      summary: Update a publicatie
      tags:
      - Publicaties
  /api/themas:
    get:
      operationId: get-api-themas
      responses:
        "200":
          content:
            application/json:
              schema:
                items:
                  properties:
                    aanvullendThema:
                      nullable: true
                      type: string
                    hoofdthema:
                      nullable: true
                      type: string
                    subthema:
                      nullable: true
                      type: string
                  required:
                  - hoofdthema
                  title: Thema
                  type: object
                type: array
          description: Successful response.
      servers:
      - url: https://api.gateway.commonground.nu/api
      summary: Retrieve thema collection
      tags:
      - Themas
    post:
      operationId: post-api-themas
      requestBody:
        content:
          application/json:
            schema:
              properties:
                aanvullendThema:
                  nullable: true
                  type: string
                hoofdthema:
                  nullable: true
                  type: string
                subthema:
                  nullable: true
                  type: string
              required:
              - hoofdthema
              title: Thema
              type: object
      responses:
        "200":
          content:
            application/json:
              schema:
                properties:
                  aanvullendThema:
                    nullable: true
                    type: string
                  hoofdthema:
                    nullable: true
                    type: string
                  subthema:
                    nullable: true
                    type: string
                required:
                - hoofdthema
                title: Thema
                type: object
          description: OK
      servers:
      - url: https://api.gateway.commonground.nu/api
      summary: Create a thema
      tags:
      - Themas
  /api/themas/{id}:
    delete:
      operationId: delete-api-themas-id
      parameters:
      - in: path
        name: id
        required: true
        schema:
          type: string
      responses:
        "200":
          description: OK
      servers:
      - url: https://api.gateway.commonground.nu/api
      summary: Delete a thema
      tags:
      - Themas
    get:
      operationId: get-api-themas-id
      parameters:
      - description: UUID
        in: path
        name: id
        required: true
        schema:
          type: string
      responses:
        "200":
          content:
            application/json:
              schema:
                properties:
                  aanvullendThema:
                    nullable: true
                    type: string
                  hoofdthema:
                    nullable: true
                    type: string
                  subthema:
                    nullable: true
                    type: string
                required:
                - hoofdthema
                title: Thema
                type: object
          description: Successful response.
      servers:
      - url: https://api.gateway.commonground.nu/api
      summary: Retrieve a thema
      tags:
      - Themas
    patch:
      operationId: patch-api-themas-id
      parameters:
      - in: path
        name: id
        required: true
        schema:
          type: string
      requestBody:
        content:
          application/json:
            schema:
              properties:
                aanvullendThema:
                  nullable: true
                  type: string
                hoofdthema:
                  nullable: true
                  type: string
                subthema:
                  nullable: true
                  type: string
              required:
              - hoofdthema
              title: Thema
              type: object
      responses:
        "200":
          content:
            application/json:
              schema:
                properties:
                  aanvullendThema:
                    nullable: true
                    type: string
                  hoofdthema:
                    nullable: true
                    type: string
                  subthema:
                    nullable: true
                    type: string
                required:
                - hoofdthema
                title: Thema
                type: object
          description: OK
      servers:
      - url: https://api.gateway.commonground.nu/api
      summary: Modify a thema
      tags:
      - Themas
    put:
      operationId: put-api-themas-id
      parameters:
      - in: path
        name: id
        required: true
        schema:
          type: string
      requestBody:
        content:
          application/json:
            schema:
              properties:
                aanvullendThema:
                  nullable: true
                  type: string
                hoofdthema:
                  nullable: true
                  type: string
                subthema:
                  nullable: true
                  type: string
              required:
              - hoofdthema
              title: Thema
              type: object
      responses:
        "200":
          content:
            application/json:
              schema:
                properties:
                  aanvullendThema:
                    nullable: true
                    type: string
                  hoofdthema:
                    nullable: true
                    type: string
                  subthema:
                    nullable: true
                    type: string
                required:
                - hoofdthema
                title: Thema
                type: object
          description: OK
      servers:
      - url: https://api.gateway.commonground.nu/api
      summary: Update a thema
      tags:
      - Themas
servers:
- url: https://api.gateway.commonground.nu/api
tags:
- description: Operations related to publicaties
  name: Publicaties
